commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Oliver Heger <heg...@med.uni-marburg.de>
Subject Re: [configuration] findbugs and JDK1.3
Date Fri, 09 Dec 2005 14:06:24 GMT
Eric Pugh schrieb:
> One more thing...
> 
> I noticed that findbugs is commented out:
> 
>     <!-- Commented out, does not run on JDK 1.3
>     <report>maven-findbugs-plugin</report> -->
> 
> According to the homepage for Findbugs, while yes, it does require  
> JDK1.4 to run, it should analyze 1.3 code.  When we compile for 1.3,  
> does that mean you are using a 1.3 JDK as well?
> 
> RC is looking good,
> Eric
> 

Hi Eric,

I indeed built the distributions with JDK 1.3 to ensure full 
compatibility. (It would also be possible to run the build on JDK 1.4 
and set the maven.compiler.executable property to point to a JDK 1.3 
javac, but then the manifest file will have an incorrect version number; 
at least if no additional steps are performed.)

Also if 1.3 is our minimum required JDK version, I wanted to make sure 
that building on this JDK is possible without major problems.

Oliver

---------------------------------------------------------------------
To unsubscribe, e-mail: commons-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: commons-dev-help@jakarta.apache.org


Mime
View raw message